# FLTK Screenshot for Windows.

## Required to build source.
1. MSYS2 + MinGW-W64 ( included Windows SDK. )
1. Lastest version of fl_imgtk (debug & sse3(openmp option) )
1. Latest version of fltk-1.3.5-2-ts.
1. Compuphase minIni ( https://github.com/compuphase/minIni )

## Updates in latest version 

* Version 0.1.4.0
    1. Now plays a shutter sound. ( see external license )
	1. Coping base path to clipboard when it clicked or selected.

## Previous updates

* Version 0.1.3.6
    1. Write file path using window title name.

* Version 0.1.3.5
    1. Bugs fixes - 
	    1. abnormal termination
		1. last path not written in config.
	1. Stability improved a little.

* Version 0.1.3.0
    1. Small updates,
	1. Now capture key will shows as human readable.
	1. Show progress while write PNG.

* Version 0.1.2.8
    1. Actual working version for Windows 10.
	1. Tested with all GDI and Direct2D surfaced windows.

* Version 0.1.0.0
    1. First commit.
	
* Version 0.0.0.0
    1. Starts in none.
    
## Supported OS
1. Windows NT 6.1 or above

## Bugs
1. Unstable, still in progress to be enhanced.
1. Some OpenGL games not able to capture - key hooking not works.

## External license
1. Camera shutter sound belongs to http://notification-sounds.com/1729-camera-shutter-sound.html.
1. Converted MP3 to WAV with Audacity, stereo to mono.
